package observer;

import javax.swing.JFrame;
import javax.swing.JTextArea;

public class DisplayGui {

	// Constructeur
    public DisplayGui()
    {
       //GUI Initialization
       JFrame frame = new JFrame("Display");
       frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
       
       //Text area
       textArea = new JTextArea(20, 20);
       textArea.setEditable(false); //Only for display

       //Add text area in the frame
       frame.add(textArea);
       
       //Causes this Window to be sized to fit the preferred size and layouts of its subcomponents.
       frame.pack();
       
       //Shows this Window
       frame.setVisible(true);
    }

    // Display content
    public void display(Data _data)
    {
    	//Reinitialisation de l'affichage
    	textArea.setText("");

    	//On affiche chacune des chanes sur l'diteur
		for(String s : _data.getStrings())
		{
            textArea.append(s);
            textArea.append("\n");
		}
    }    
    
    private JTextArea textArea;

}
