package observer;
import javax.swing.JFrame;
import javax.swing.JTextField;
import java.awt.event.*;

import observer.Data;




public class EditorGui implements ActionListener 
{

	// Constructor
	public EditorGui(Data _data)
    {
		m_data = _data ;
        JFrame frame = new JFrame("Editor");
        frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
        m_ctrl = new JTextField (20);
        m_ctrl.addActionListener(this);

        frame.add(m_ctrl);
        frame.pack();
        frame.setVisible(true);
    }
	// Traite la saisie d'un mot
	public void actionPerformed(ActionEvent e)
    {
		// React on TextField modification
    	m_data.addString(m_ctrl.getText());
    	// Manage TextField modification
    	m_ctrl.setText("");
    };
    
    private JTextField m_ctrl;
	private Data m_data;

}
