package observer;

import java.util.ArrayList;
import java.util.List;

import observer.DisplayGui;

public class Data {

	// constructor
    public Data(DisplayGui _gui)
    {
    	gui = _gui;
    }
    // add a new string
    public void addString(String val)
    {
    	strings.add(val) ;
    	gui.display(this);
    };
    
    // getter
    public List<String> getStrings()
    {
        return strings;
    };

    // display
    private DisplayGui	   gui;
    // strings
    private List<String> strings = new ArrayList<String>();
  
}
